I suggest you ...

Stop installing MSI based Azure Modules. Use PowerShell Gallery repo

This suggestion is migrated to Developer Community. Please use below link to view the current status.
https://developercommunity.visualstudio.com/content/idea/351542/stop-installing-msi-based-azure-modules-use-powers.html
Can you stop installing an MSI based (old) version of Azure PowerShell cmdlets. Either stop installing, or give me the option to use a repo, such as PowerShell gallery, where the latest modules exist. Apart from changing the $env:PSModulePath, I can't use PowerShellGet cmdlets to update Azure cmdlets. I also notice one of you updates REMOVES the PS Gallery modules and reinstall the old MSI version. Grrrr!!!

61 votes
Vote
Sign in
(thinking…)
Password icon
Signed in as (Sign out)
You have left! (?) (thinking…)
Tex shared this idea  ·   ·  Flag idea as inappropriate…  ·  Admin →

3 comments

Sign in
(thinking…)
Password icon
Signed in as (Sign out)
Submitting...
  • Tex commented  ·   ·  Flag as inappropriate

    @MICROSHAFT: So here is yet another example of proof that you clearly DO NOT listen or give a **** about what your customers want / think. I've just discovered VS has removed the latest Azure PS modules AGAIN, replacing them with your MSI version that is now a YEAR old. How in God's name is this an update? Does time go backwards for you (actually, it would explain a lot)?

    How many votes will it take for you to FIX IT!!!!!!!!! Perhaps I should start charging you for the wasted hours this causes. Maybe when it affects your pocket, you'll listen.

    I've just turned off all updates is VS.

  • Tex commented  ·   ·  Flag as inappropriate

    This is still happening. Microsoft STOP IT. The regression keeps breaking my modules.

Feedback and Knowledge Base